<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: /Users/dlekshmi/Desktop/Repos/PhD/GTSBox/Src/NLME/RunGTS.m Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_413f4e031a85da0d68269c6fd2f76e1c.html">Src</a></li><li class="navelem"><a class="el" href="../../dir_8672bca13fc16af0e54d5ddc01090308.html">NLME</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">RunGTS.m</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d2/dbd/_run_g_t_s_8m.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="keyword">function</span> [] = <a class="code" href="../../d2/dbd/_run_g_t_s_8m.html#ade301c7e93d4b5064e3c966d72aff1cf">RunGTS</a>(model_name, data_folder, dataset_name, GTSoptions)</div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;testCase=GTSoptions.testflag;</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;% Model variables</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; mySettings = eval([<span class="stringliteral">&#39;ModelSettings&#39;</span>]); % load model settings</div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; <span class="keywordflow">if</span> testCase~=1</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;     Model=<span class="keyword">struct</span>();</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;     % specific <span class="keywordflow">for</span> AMICI, will no longer be used</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;     % modelFname=[mySettings.name,<span class="stringliteral">&#39;_log_syms&#39;</span>]; </div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="../../d2/dbd/_run_g_t_s_8m.html#ade301c7e93d4b5064e3c966d72aff1cf">   15</a></span>&#160;     % Model= eval([modelFname]);</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;     Model.settings=mySettings;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160; <span class="keywordflow">else</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;     Model=<span class="keyword">struct</span>();</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;     Model.settings=mySettings;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; end</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;% Prepare model</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; <span class="keywordflow">if</span> GTSoptions.compileflag == 1 % convert model</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;     disp(<span class="stringliteral">&#39;Preparing Model&#39;</span>)</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;     disp(&#39;Generating simulation files&#39;);</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;     if(isfile([&#39;.&#39;,filesep,&#39;Model&#39;,filesep,&#39;makeAmiModel.m&#39;]))</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;     disp(&#39;Making AMICI model&#39;)</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;         makeAmiModel;</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;     elseif(isfile([&#39;.&#39;,filesep,&#39;Model&#39;,filesep,&#39;makeIQMModel.m&#39;]))</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;         disp(&#39;Making IQM model&#39;)</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;         makeIQMModel</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;     elseif(isfile([&#39;.&#39;,filesep,&#39;Model&#39;,filesep,&#39;makeMexModel.m&#39;]))</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;         disp(&#39;Making model with makeMexModel function&#39;)</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;         makeMexModel</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;     end</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; end</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; % Get options for firststage</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;FSopt=GTSoptions.FSopt;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160; </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;% Get Experiment data</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;if ~isempty(dataset_name)</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;disp(&#39;Loading Experiment Data&#39;)</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;data = readtable(fullfile([&#39;.&#39;,filesep,&#39;DataForEstimation&#39;,filesep, ...</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;   data_folder,filesep,dataset_name,&#39;.csv&#39;]),&#39;TreatAsEmpty&#39;,&#39;NA&#39;);</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;time = unique(data.Time);</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160; </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;if FSopt.runtype==2</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<a class="code" href="../../d1/d91/checkdataw_lin_format_8m.html#a30309b5d3ea3d932fad3144a5fe9cc27">checkdatawLinFormat</a>(data);</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;else</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<a class="code" href="../../dd/df7/checkdata_format_8m.html#a4a7a2190c82c1f9f662a8b6dbac43eae">checkdataFormat</a>(data);</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;end</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160; </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;end</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;% Where to save the results</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;Model.outdir=[&#39;.&#39;,filesep,&#39;ResultsNLME&#39;,filesep];</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;mkdir(Model.outdir)</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;Model.date=date();</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;Model.name=[Model.settings.name];</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;Model.parWorkers=FSopt.parWorkers;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;Model.parProfile=FSopt.parProfile;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;Model.showStatus=FSopt.showStatus;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;Model.nstates=Model.settings.nstates;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160; </div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;% Anything related to the model simulation</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;Model.simulation.fn=Model.settings.fnHandle;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;Model.simulation.options=1; % To Do</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;Model.simulation.k = Model.settings.constants;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;Model.simulation.abstol=Model.settings.abstol;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;Model.simulation.rtol=Model.settings.rtol;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;if ~(isempty( Model.settings.t0))</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  % check if the time zero for every cell is initialised else</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  % the package uses time zero.</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;Model.simulation.t0=Model.settings.t0;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;else</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;Model.simulation.t0=[];</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;end</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160; </div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;% Anything related to the cell specific params</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;Model.indParams.toestimate=1:length(Model.settings.paramNominal);</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;if Model.settings.tolog==true</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;Model.indParams.inits=log(Model.settings.paramNominal);</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;else</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;Model.indParams.inits=Model.settings.paramNominal;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;end</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;Model.indParams.numPars=length(Model.settings.paramNominal);</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;Model.indParams.namePars=Model.settings.paramNames;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160; </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;% Set upper and lower estimation globals</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;if(FSopt.bounded==1)</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;if isempty(Model.settings.paramLowerbounds)</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;error(&#39;Bounds not specified, but FSopt.bounded is set to 1.&#39;)</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;else</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;Model.indParams.lowerbounds=Model.settings.paramLowerbounds;</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;Model.indParams.upperbounds=Model.settings.paramUpperbounds;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;end</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;else</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;Model.indParams.lowerbounds = [];</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;Model.indParams.upperbounds = [];</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;end</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160; </div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160; </div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;% Noise model</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;ErrorModel=Model.settings.errorModel;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;Model.noiseParams.type=ErrorModel;%repmat({ErrorModel},1,length(Model.settings.output_names));</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;Model.noiseParams.inits=Model.settings.errorModelinit; % TODO change <span class="keyword">this</span> in model.settings.</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;Model.noiseParams.optim=FSopt.GLS.errorEstimation;</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160; </div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;% Optimization</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;Model.optim.tols=FSopt.optimTols;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;Model.optim.gloalg.name=FSopt.gloalgName;</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;Model.optim.gloalg.starts=FSopt.gloalgStarts;</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;Model.optim.gloalg.maxeval=FSopt.gloalgMaxeval;</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;Model.optim.alg.name= FSopt.algName;</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160; </div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160; </div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;% Flag that indicates <span class="keywordflow">if</span> GLS should be done, or we stop with <a class="code" href="../../db/d07/_o_l_s_8m.html#adb856b6f2c035e44401151c19a1b16e4">OLS</a>.</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;Model.poolFlg=FSopt.poolFlg;</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160; </div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;% Iteration related to the GLS:</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;% To Do make these as standard options</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;Model.GLS=FSopt.GLS;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160; </div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160; </div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;% The result file from first stage</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;FSoutfile= [Model.noiseParams.optim,<span class="stringliteral">&#39;_pool_&#39;</span>,num2str(Model.poolFlg),<span class="stringliteral">&#39;_Result_&#39;</span>, model_name, <span class="charliteral">&#39;_&#39;</span>, dataset_name];</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160; </div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="keywordflow">if</span> FSopt.runtype==1</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;disp(<span class="stringliteral">&#39; Calling First stage &#39;</span>)</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;<a class="code" href="../../d7/d01/_first_stage_8m.html#a7db8a749658a67a5fefefd5909903f73">FirstStage</a>(Model, data, FSoutfile);</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;elseif FSopt.runtype==2</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;disp(&#39; Calling First stage &#39;)</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;FirstStagewLineage(Model, data, FSoutfile);</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;end</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160; </div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160; </div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160; </div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;optsecondStage=GTSoptions.SSopt;</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;optsecondStage.pNames=Model.settings.paramNames;</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;if(GTSoptions.runSecondStage==1)</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;% TODO: define the design matrices</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;% Which p[arameters are supposed to be the cluster parameters</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;% Define the design matrix accordingly</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;% identfies which parameter should be modelled as a covariate</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;% if ~isempty(optsecondStage.covariateTerm)</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;% pos=strcmp(Model.settings.names,...</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;%                     optsecondStage.covariateTerm);</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;% optsecondStage.covariate_term=find(pos);</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;% end</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160; </div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;infiles=optsecondStage.inpfiles;</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160; </div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;% Call Second Stage</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;if optsecondStage.jointExps==1</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;for inp_ids=1:length(infiles)</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    if inp_ids==1</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;    inpfile ={[<span class="charliteral">&#39;.&#39;</span>,filesep,<span class="stringliteral">&#39;ResultsNLME&#39;</span>,filesep,Model.noiseParams.optim,<span class="stringliteral">&#39;_pool_&#39;</span>,num2str(Model.poolFlg),<span class="stringliteral">&#39;_Result_&#39;</span>, model_name, <span class="charliteral">&#39;_&#39;</span>,infiles{inp_ids},<span class="stringliteral">&#39;.mat&#39;</span>]};</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;    <span class="keywordflow">else</span></div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;    inpfile ={cell2mat(inpfile),[<span class="charliteral">&#39;.&#39;</span>,filesep,<span class="stringliteral">&#39;ResultsNLME&#39;</span>,filesep,Model.noiseParams.optim,<span class="stringliteral">&#39;_pool_&#39;</span>,num2str(Model.poolFlg),<span class="stringliteral">&#39;_Result_&#39;</span>, model_name, <span class="charliteral">&#39;_&#39;</span>,infiles{inp_ids},<span class="stringliteral">&#39;.mat&#39;</span>]};</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    end</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;end</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;outpath=[<span class="charliteral">&#39;.&#39;</span>,filesep,<span class="stringliteral">&#39;ResultsNLME&#39;</span>,filesep,optsecondStage.fname_append,<span class="stringliteral">&#39;GTS_Result_&#39;</span>, model_name, <span class="charliteral">&#39;_&#39;</span>, cell2mat(infiles)];</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;% the name of the second stage result</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;disp([<span class="stringliteral">&#39;Calling Second-Stage for &#39;</span>, cell2mat(infiles)])</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;<a class="code" href="../../d1/d10/_second_stage_8m.html#ad9db3ec9969ad1cc80d0dee59810f184">SecondStage</a>(inpfile,outpath,optsecondStage);</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;<span class="keywordflow">else</span></div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160; </div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;<span class="keywordflow">for</span> inp_ids=1:length(infiles)</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;infile =[<span class="charliteral">&#39;.&#39;</span>,filesep,<span class="stringliteral">&#39;ResultsNLME&#39;</span>,filesep,Model.noiseParams.optim,<span class="stringliteral">&#39;_pool_&#39;</span>,num2str(Model.poolFlg),<span class="stringliteral">&#39;_Result_&#39;</span>, model_name, <span class="charliteral">&#39;_&#39;</span>,infiles{inp_ids},<span class="stringliteral">&#39;.mat&#39;</span>];</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;outpath=[<span class="charliteral">&#39;.&#39;</span>,filesep,<span class="stringliteral">&#39;ResultsNLME&#39;</span>,filesep,optsecondStage.fname_append,<span class="stringliteral">&#39;GTS_Result_&#39;</span>, model_name, <span class="charliteral">&#39;_&#39;</span>, infiles{inp_ids}];      % the name of the second stage result</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160; </div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;disp([<span class="stringliteral">&#39;Calling Second stage for &#39;</span>, infile])</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;<a class="code" href="../../d1/d10/_second_stage_8m.html#ad9db3ec9969ad1cc80d0dee59810f184">SecondStage</a>(infile,outpath,optsecondStage);</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;end</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;end</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;end</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160; </div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160; </div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;end</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="acheckdataw_lin_format_8m_html_a30309b5d3ea3d932fad3144a5fe9cc27"><div class="ttname"><a href="../../d1/d91/checkdataw_lin_format_8m.html#a30309b5d3ea3d932fad3144a5fe9cc27">checkdatawLinFormat</a></div><div class="ttdeci">function checkdatawLinFormat(in data)</div><div class="ttdoc">A function that checks if all mandatory columns are specified.</div></div>
<div class="ttc" id="a_run_g_t_s_8m_html_ade301c7e93d4b5064e3c966d72aff1cf"><div class="ttname"><a href="../../d2/dbd/_run_g_t_s_8m.html#ade301c7e93d4b5064e3c966d72aff1cf">RunGTS</a></div><div class="ttdeci">function RunGTS(in model_name, in data_folder, in dataset_name, in GTSoptions)</div><div class="ttdoc">RunGTS calls the functions to run the GTS model.</div></div>
<div class="ttc" id="acheckdata_format_8m_html_a4a7a2190c82c1f9f662a8b6dbac43eae"><div class="ttname"><a href="../../dd/df7/checkdata_format_8m.html#a4a7a2190c82c1f9f662a8b6dbac43eae">checkdataFormat</a></div><div class="ttdeci">function checkdataFormat(in data)</div><div class="ttdoc">A function that checks if all mandatory columns are specified.</div></div>
<div class="ttc" id="a_o_l_s_8m_html_adb856b6f2c035e44401151c19a1b16e4"><div class="ttname"><a href="../../db/d07/_o_l_s_8m.html#adb856b6f2c035e44401151c19a1b16e4">OLS</a></div><div class="ttdeci">function OLS(in t, in kinetic_params, in d, in int_opts)</div><div class="ttdoc">OLS does standard OLS (Ordinary Least Squares, OLS)</div></div>
<div class="ttc" id="a_second_stage_8m_html_ad9db3ec9969ad1cc80d0dee59810f184"><div class="ttname"><a href="../../d1/d10/_second_stage_8m.html#ad9db3ec9969ad1cc80d0dee59810f184">SecondStage</a></div><div class="ttdeci">function SecondStage(in inpFiles, in outFile, in SSoptions, in varargin)</div><div class="ttdoc">SecondStage does the second stage estimation of the GTS.</div></div>
<div class="ttc" id="a_first_stage_8m_html_a7db8a749658a67a5fefefd5909903f73"><div class="ttname"><a href="../../d7/d01/_first_stage_8m.html#a7db8a749658a67a5fefefd5909903f73">FirstStage</a></div><div class="ttdeci">function FirstStage(in model_struct, in data_table, in fname)</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:30 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
